SDL_AddHintCallback(3)

NAME
SDL_AddHintCallback - Add a function to watch a particular hint.

SYNOPSIS
#include <SDL3/SDL_hints.h>

bool SDL_AddHintCallback(const char *name, SDL_HintCallback callback, void *userdata);

DESCRIPTION
The callback function is called _during_ this function, to provide it an initial value, and again each time the hint's value changes.

FUNCTION PARAMETERS

name
    the hint to watch.

callback
    An SDL_HintCallback function that will be called when the hint value changes.

userdata
    a pointer to pass to the callback function.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RemoveHintCallback(3)